gnutls_x509_trust_list_iter_get_ca(3)

NAME
gnutls_x509_trust_list_iter_get_ca - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_iter_get_ca(gnutls_x509_trust_list_t list, gnutls_x509_trust_list_iter_t * iter, gnutls_x509_crt_t * crt);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

gnutls_x509_trust_list_iter_t * iter
    A pointer to an iterator (initially the iterator should be NULL)

gnutls_x509_crt_t * crt
    where the certificate will be copied

DESCRIPTION
This function obtains a certificate in the trust list and advances the iterator to the next certificate. The certificate returned in crt must be deallocated with gnutls_x509_crt_deinit(). When past the last element is accessed GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned and the iterator is reset. The iterator is deinitialized and reset to NULL automatically by this function after iterating through all elements until GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned. If the iteration is aborted early, it must be manually deinitialized using gnutls_x509_trust_list_iter_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/